height = 1.1;       // Vyska tahla
length = 25;        // Delka tahla, min 20mm
distance = 9;       // Roztec mezi otvory pro trny jazyku
ovalD = 1.6;        // Prumer diry pro trn jazyka
ovalLen = 0.3;      // Delka rovne casti ovalku
thickness = 3;      // Sirka tahla


dy=length / 2 - (distance / 2);

module oval(d, length, height) {
translate([-length / 2, 0, 0]) union(){
    cylinder(h= height, d = d, $fn=50);
    translate([0, -d / 2, 0]) cube([length, d, height]);
    translate([length, 0, 0]) cylinder(h= height, d = d, $fn=50);
}
}

difference() {
    cube([thickness, length, height]);
    translate([1.5, dy, 0]) oval(ovalD, ovalLen, height);
    translate([1.5, dy + distance, 0]) oval(ovalD, ovalLen, height);
    
    translate([1.5, length / 2, 0.5]) cylinder(h = 1.5, d = 1.4, center = true, $fn=50);
}
